import { system, world } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('halo_farocovenant1:trigger', {
  onRandomTick: e => { e.dimension.runCommand("summon halo:farocovenant1"); },
});

});
